<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
    <artifactId>object-producing</artifactId>
    <version>1.9.0</version>
  </parent>
  <groupId>ru.entaxy.esb.platform.runtime.core.object-producing</groupId>
  <artifactId>object-producer-core</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: PLATFORM :: CORE :: OBJECT PRODUCING :: PRODUCER CORE</name>
  <description>ENTAXY :: PLATFORM :: CORE :: OBJECT PRODUCING :: PRODUCER CORE</description>
  
  <properties>
  	<bundle.osgi.export.pkg>ru.entaxy.platform.core.producer.*</bundle.osgi.export.pkg>
  </properties>
  
  <dependencies>
  	<dependency>
  		<groupId>
  			ru.entaxy.esb.platform.runtime.core.object-producing
  		</groupId>
  		<artifactId>object-producer-api</artifactId>
  		<version>${project.version}</version>
  	</dependency>
  	<dependency>
  		<groupId>ru.entaxy.esb.platform.runtime.core</groupId>
  		<artifactId>artifact-management</artifactId>
  		<version>${project.version}</version>
  	</dependency>
  	<dependency>
  		<groupId>org.apache.camel</groupId>
  		<artifactId>camel-core</artifactId>
  	</dependency>  	
  </dependencies>
  
  <build>
  	<plugins>
  		<plugin>
	<groupId>org.codehaus.mojo</groupId>
	<artifactId>build-helper-maven-plugin</artifactId>
	<executions>
		<execution>
			<id>attach-artifacts</id>
			<phase>package</phase>
			<goals>
				<goal>attach-artifact</goal>
			</goals>
			<configuration>
				<artifacts>
					<artifact>
						<file>src/main/config/producing.lifecycles.json</file>
						<type>json</type>
						<classifier>producing.lifecycles</classifier>
					</artifact>
				</artifacts>
			</configuration>
		</execution>
	</executions>
</plugin>					
  	</plugins>
  </build>
  
</project>
